# vim: set ts=4 sw=4 et:
# kate: space-indent on; indent-width 4;
#
# Copyright (c) 2005-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Name:           apetag
Version:        1.12
Release:        1699.2.pm.4
License: GPL-2.0
Summary:        Command Line APE 2.0 Tagger
URL:            http://www.muth.org/Robert/Apetag/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source0:        http://www.muth.org/Robert/Apetag/%{name}.%{version}.tar.gz
Patch0:         apetag-gcc43.patch
BuildRequires:  gcc-c++
BuildRequires:  python-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
Apetag is command line tagging tool for music files such as Monkey's
Audio and Musepack using the APE 2.0 standard.

Apetag comes with a python script, tagdir.py which will tag all
tracks belonging to a given album based on the freedb record. (A
simple tool for retrieved such records is freedbtool.) tagdir.py
will invoke the appropriate tagging tool depending on the music
files present. Currently supported are apetag for mpc files and
metaflac for flac files. Also included is a simple script
rmid3tag.py which removes id3v1 tags from arbitrary files.



Author: Robert Muth <robert@muth.org>

%prep
%setup -q -n Apetag
%patch0

%build
%__make CXXFLAGS="%{optflags} -pedantic"

%install
%__install -dm 755  %{buildroot}%{_prefix}/bin
%__install -m 755 %{name} \
        %{buildroot}%{_prefix}/bin
%__install -m 755 *.py \
        %{buildroot}%{_prefix}/bin

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc 00copying 00readme index.html
%{_bindir}/%{name}
%{_bindir}/*.py

%changelog
* Thu Mar 24 2011 lazy.kent@opensuse.org
- patch refresh
- use rpm optflags
- added py_requires macro, build requires python-base
- split off changelog to *.chandges
- minor spec formatting
* Sun May  3 2009 toni@links2linux.de
- update to 1.12
* Wed Jul  2 2008 toni@links2linux.de
- update to 1.11
* Sat Jan 12 2008 toni@links2linux.de
- update to 1.10
* Thu Aug 30 2007 toni@links2linux.de
- added debug_package
* Mon Sep 18 2006 herbert@links2linux.de
- make it work with y2pmbuild
- make it 64-bit compatible
* Sat Sep 16 2006 toni@links2linux.de
- rebuild for packman
* Sun Jul 16 2006 oc2pus@arcor.de 1.8-0.oc2pus.1
- update to 1.8
* Sun Dec  4 2005 oc2pus@arcor.de 1.7-0.oc2pus.1
- first version 1.7
